----------------------------------------------------
-- 此文件由数据工具生成
-- 伙伴招募数据--recruit_data.xml
--------------------------------------

Config = Config or {} 
Config.RecruitData = Config.RecruitData or {}

-- -------------------partnersummon_data_start-------------------
Config.RecruitData.data_partnersummon_data_length = 4
Config.RecruitData.data_partnersummon_data = {
	[100] = {group_id=100, name="基础召唤", limit_id={}, draw_list={1,10}, item_once={{10401,1}}, item_five={{10401,10}}, ext_item_once={}, ext_item_five={}, exchange_once={}, exchange_once_gain={{22,1000}}, exchange_five={}, exchange_five_gain={{22,6000}}, month_card_dist_five=0, limit_dist_five_time=0, limit_dist_five_lose={}, limit_dist_five_count=0, card_bg_res="partnersummon_100", action_name="action", call_bg="partnersummon_call_bg_100", action_card_name="action2", call_bg_action=147, sort_id=1, recruit_hero_gain={{23,1}}, is_show=0},
	[200] = {group_id=200, name="友情召唤", limit_id={}, draw_list={1,10}, item_once={{14,100}}, item_five={{14,1000}}, ext_item_once={}, ext_item_five={}, exchange_once={}, exchange_once_gain={{22,2000}}, exchange_five={}, exchange_five_gain={{22,6000}}, month_card_dist_five=0, limit_dist_five_time=0, limit_dist_five_lose={}, limit_dist_five_count=0, card_bg_res="partnersummon_200", action_name="action2", call_bg="partnersummon_call_bg_200", action_card_name="action1", call_bg_action=158, sort_id=2, recruit_hero_gain={{23,2}}, is_show=0},
	[300] = {group_id=300, name="高级召唤", limit_id={}, draw_list={1,10}, item_once={{10403,1}}, item_five={{10403,10}}, ext_item_once={{10408,1}}, ext_item_five={{10408,10}}, exchange_once={{3,220}}, exchange_once_gain={{22,5000}}, exchange_five={{3,2000}}, exchange_five_gain={{22,6000}}, month_card_dist_five=0, limit_dist_five_time=0, limit_dist_five_lose={}, limit_dist_five_count=0, card_bg_res="partnersummon_300", action_name="action", call_bg="partnersummon_call_bg_100", action_card_name="action2", call_bg_action=147, sort_id=3, recruit_hero_gain={{23,20}}, is_show=0},
	[400] = {group_id=400, name="积分召唤", limit_id={}, draw_list={1}, item_once={}, item_five={}, ext_item_once={}, ext_item_five={}, exchange_once={{23,1000}}, exchange_once_gain={}, exchange_five={}, exchange_five_gain={}, month_card_dist_five=0, limit_dist_five_time=0, limit_dist_five_lose={}, limit_dist_five_count=0, card_bg_res="partnersummon_400", action_name="action2", call_bg="partnersummon_call_bg_200", action_card_name="action1", call_bg_action=158, sort_id=0, recruit_hero_gain={}, is_show=1}
}
Config.RecruitData.data_partnersummon_data_fun = function(key)
	local data=Config.RecruitData.data_partnersummon_data[key]
	if DATA_DEBUG and data == nil then
		print('(Config.RecruitData.data_partnersummon_data['..key..'])not found') return
	end
	return data
end
-- -------------------partnersummon_data_end---------------------


-- -------------------partnersummon_const_start-------------------
Config.RecruitData.data_partnersummon_const_length = 8
Config.RecruitData.data_partnersummon_const = {
	["common_s"] = {key="common_s", val=10401, desc="单抽召唤道具ID"},
	["senior_s"] = {key="senior_s", val=10402, desc="5连抽召唤道具ID"},
	["common_time"] = {key="common_time", val=1, desc="普通召唤每天免费次数"},
	["c_interval"] = {key="c_interval", val=3600, desc="普通召唤免费次数间隔/s"},
	["common_gold"] = {key="common_gold", val=5, desc="金币召唤次数（每日）"},
	["share_role"] = {key="share_role", val=100, desc="角色首次分享获得红钻"},
	["share_day"] = {key="share_day", val=20, desc="每日首次分享获得红钻"},
	["recruit_vip"] = {key="recruit_vip", val=2, desc="积分召唤VIP等级限制"}
}
Config.RecruitData.data_partnersummon_const_fun = function(key)
	local data=Config.RecruitData.data_partnersummon_const[key]
	if DATA_DEBUG and data == nil then
		print('(Config.RecruitData.data_partnersummon_const['..key..'])not found') return
	end
	return data
end
-- -------------------partnersummon_const_end---------------------


-- -------------------explain_start-------------------
Config.RecruitData.data_explain_length = 4
Config.RecruitData.data_explain = {
	[1] = {id=1, rate={{2,90},{3,8},{4,1.38},{5,0.63}}, recruit_id=100, title="႐ိုး႐ိုးဆင့္ေခၚ"},
	[2] = {id=2, rate={{3,81},{4,16},{5,4}}, recruit_id=300, title="အဆင့္ျမင့္ဆင့္ေခၚ"},
	[3] = {id=3, rate={{2,90},{3,8},{4,1.38},{5,0.63}}, recruit_id=200, title="မိတ္ေဆြဆင့္ေခၚ"},
	[4] = {id=4, rate={{5,100}}, recruit_id=400, title="ရမွတ္ဆင့္ေခၚ"}
}
Config.RecruitData.data_explain_fun = function(key)
	local data=Config.RecruitData.data_explain[key]
	if DATA_DEBUG and data == nil then
		print('(Config.RecruitData.data_explain['..key..'])not found') return
	end
	return data
end
-- -------------------explain_end---------------------


-- -------------------summon_data_start-------------------
Config.RecruitData.data_summon_data_length = 4
Config.RecruitData.data_summon_data = {
	[100] = {
		[24101] = {id=100, base_id=24101, summon_desc="5"},
		[24102] = {id=100, base_id=24102, summon_desc="5"},
		[24201] = {id=100, base_id=24201, summon_desc="5"},
		[25101] = {id=100, base_id=25101, summon_desc="5"},
		[25102] = {id=100, base_id=25102, summon_desc="5"},
		[25201] = {id=100, base_id=25201, summon_desc="5"},
		[26101] = {id=100, base_id=26101, summon_desc="5"},
		[26102] = {id=100, base_id=26102, summon_desc="5"},
		[26201] = {id=100, base_id=26201, summon_desc="5"},
		[27101] = {id=100, base_id=27101, summon_desc="5"},
		[27102] = {id=100, base_id=27102, summon_desc="5"},
		[27201] = {id=100, base_id=27201, summon_desc="5"},
		[28101] = {id=100, base_id=28101, summon_desc="5"},
		[28102] = {id=100, base_id=28102, summon_desc="5"},
		[28201] = {id=100, base_id=28201, summon_desc="5"},
		[29101] = {id=100, base_id=29101, summon_desc="5"},
		[29102] = {id=100, base_id=29102, summon_desc="5"},
		[29201] = {id=100, base_id=29201, summon_desc="5"},
		[24301] = {id=100, base_id=24301, summon_desc="1"},
		[24302] = {id=100, base_id=24302, summon_desc="1"},
		[25301] = {id=100, base_id=25301, summon_desc="1"},
		[25302] = {id=100, base_id=25302, summon_desc="1"},
		[26301] = {id=100, base_id=26301, summon_desc="1"},
		[26302] = {id=100, base_id=26302, summon_desc="1"},
		[29301] = {id=100, base_id=29301, summon_desc="1"},
		[29302] = {id=100, base_id=29302, summon_desc="1"},
		[24406] = {id=100, base_id=24406, summon_desc="0.125"},
		[24407] = {id=100, base_id=24407, summon_desc="0.125"},
		[25406] = {id=100, base_id=25406, summon_desc="0.125"},
		[25407] = {id=100, base_id=25407, summon_desc="0.125"},
		[26405] = {id=100, base_id=26405, summon_desc="0.125"},
		[26406] = {id=100, base_id=26406, summon_desc="0.125"},
		[29406] = {id=100, base_id=29406, summon_desc="0.125"},
		[29407] = {id=100, base_id=29407, summon_desc="0.125"},
		[27302] = {id=100, base_id=27302, summon_desc="0.125"},
		[27301] = {id=100, base_id=27301, summon_desc="0.125"},
		[28302] = {id=100, base_id=28302, summon_desc="0.125"},
		[24401] = {id=100, base_id=24401, summon_desc="0.015"},
		[24402] = {id=100, base_id=24402, summon_desc="0.015"},
		[24403] = {id=100, base_id=24403, summon_desc="0.015"},
		[24404] = {id=100, base_id=24404, summon_desc="0.015"},
		[24405] = {id=100, base_id=24405, summon_desc="0.015"},
		[25401] = {id=100, base_id=25401, summon_desc="0.015"},
		[25402] = {id=100, base_id=25402, summon_desc="0.015"},
		[25403] = {id=100, base_id=25403, summon_desc="0.015"},
		[25404] = {id=100, base_id=25404, summon_desc="0.015"},
		[25405] = {id=100, base_id=25405, summon_desc="0.015"},
		[26401] = {id=100, base_id=26401, summon_desc="0.015"},
		[26402] = {id=100, base_id=26402, summon_desc="0.015"},
		[26403] = {id=100, base_id=26403, summon_desc="0.015"},
		[26404] = {id=100, base_id=26404, summon_desc="0.015"},
		[29401] = {id=100, base_id=29401, summon_desc="0.015"},
		[29402] = {id=100, base_id=29402, summon_desc="0.015"},
		[29403] = {id=100, base_id=29403, summon_desc="0.015"},
		[29404] = {id=100, base_id=29404, summon_desc="0.015"},
		[29405] = {id=100, base_id=29405, summon_desc="0.015"},
		[27401] = {id=100, base_id=27401, summon_desc="0.015"},
		[27402] = {id=100, base_id=27402, summon_desc="0.015"},
		[27403] = {id=100, base_id=27403, summon_desc="0.015"},
		[27404] = {id=100, base_id=27404, summon_desc="0.015"},
		[27405] = {id=100, base_id=27405, summon_desc="0.125"},
		[28401] = {id=100, base_id=28401, summon_desc="0.015"},
		[28402] = {id=100, base_id=28402, summon_desc="0.015"},
		[28403] = {id=100, base_id=28403, summon_desc="0.015"},
		[28404] = {id=100, base_id=28404, summon_desc="0.015"},
		[28405] = {id=100, base_id=28405, summon_desc="0.125"},
	},
	[200] = {
		[24101] = {id=200, base_id=24101, summon_desc="5"},
		[24102] = {id=200, base_id=24102, summon_desc="5"},
		[24201] = {id=200, base_id=24201, summon_desc="5"},
		[25101] = {id=200, base_id=25101, summon_desc="5"},
		[25102] = {id=200, base_id=25102, summon_desc="5"},
		[25201] = {id=200, base_id=25201, summon_desc="5"},
		[26101] = {id=200, base_id=26101, summon_desc="5"},
		[26102] = {id=200, base_id=26102, summon_desc="5"},
		[26201] = {id=200, base_id=26201, summon_desc="5"},
		[27101] = {id=200, base_id=27101, summon_desc="5"},
		[27102] = {id=200, base_id=27102, summon_desc="5"},
		[27201] = {id=200, base_id=27201, summon_desc="5"},
		[28101] = {id=200, base_id=28101, summon_desc="5"},
		[28102] = {id=200, base_id=28102, summon_desc="5"},
		[28201] = {id=200, base_id=28201, summon_desc="5"},
		[29101] = {id=200, base_id=29101, summon_desc="5"},
		[29102] = {id=200, base_id=29102, summon_desc="5"},
		[29201] = {id=200, base_id=29201, summon_desc="5"},
		[24301] = {id=200, base_id=24301, summon_desc="1"},
		[24302] = {id=200, base_id=24302, summon_desc="1"},
		[25301] = {id=200, base_id=25301, summon_desc="1"},
		[25302] = {id=200, base_id=25302, summon_desc="1"},
		[26301] = {id=200, base_id=26301, summon_desc="1"},
		[26302] = {id=200, base_id=26302, summon_desc="1"},
		[29301] = {id=200, base_id=29301, summon_desc="1"},
		[29302] = {id=200, base_id=29302, summon_desc="1"},
		[24406] = {id=200, base_id=24406, summon_desc="0.125"},
		[24407] = {id=200, base_id=24407, summon_desc="0.125"},
		[25406] = {id=200, base_id=25406, summon_desc="0.125"},
		[25407] = {id=200, base_id=25407, summon_desc="0.125"},
		[26405] = {id=200, base_id=26405, summon_desc="0.125"},
		[26406] = {id=200, base_id=26406, summon_desc="0.125"},
		[29406] = {id=200, base_id=29406, summon_desc="0.125"},
		[29407] = {id=200, base_id=29407, summon_desc="0.125"},
		[27302] = {id=200, base_id=27302, summon_desc="0.125"},
		[27301] = {id=200, base_id=27301, summon_desc="0.125"},
		[28302] = {id=200, base_id=28302, summon_desc="0.125"},
		[24401] = {id=200, base_id=24401, summon_desc="0.015"},
		[24402] = {id=200, base_id=24402, summon_desc="0.015"},
		[24403] = {id=200, base_id=24403, summon_desc="0.015"},
		[24404] = {id=200, base_id=24404, summon_desc="0.015"},
		[24405] = {id=200, base_id=24405, summon_desc="0.015"},
		[25401] = {id=200, base_id=25401, summon_desc="0.015"},
		[25402] = {id=200, base_id=25402, summon_desc="0.015"},
		[25403] = {id=200, base_id=25403, summon_desc="0.015"},
		[25404] = {id=200, base_id=25404, summon_desc="0.015"},
		[25405] = {id=200, base_id=25405, summon_desc="0.015"},
		[26401] = {id=200, base_id=26401, summon_desc="0.015"},
		[26402] = {id=200, base_id=26402, summon_desc="0.015"},
		[26403] = {id=200, base_id=26403, summon_desc="0.015"},
		[26404] = {id=200, base_id=26404, summon_desc="0.015"},
		[29401] = {id=200, base_id=29401, summon_desc="0.015"},
		[29402] = {id=200, base_id=29402, summon_desc="0.015"},
		[29403] = {id=200, base_id=29403, summon_desc="0.015"},
		[29404] = {id=200, base_id=29404, summon_desc="0.015"},
		[29405] = {id=200, base_id=29405, summon_desc="0.015"},
		[27401] = {id=200, base_id=27401, summon_desc="0.015"},
		[27402] = {id=200, base_id=27402, summon_desc="0.015"},
		[27403] = {id=200, base_id=27403, summon_desc="0.015"},
		[27404] = {id=200, base_id=27404, summon_desc="0.015"},
		[27405] = {id=200, base_id=27405, summon_desc="0.125"},
		[28401] = {id=200, base_id=28401, summon_desc="0.015"},
		[28402] = {id=200, base_id=28402, summon_desc="0.015"},
		[28403] = {id=200, base_id=28403, summon_desc="0.015"},
		[28404] = {id=200, base_id=28404, summon_desc="0.015"},
		[28405] = {id=200, base_id=28405, summon_desc="0.125"},
	},
	[300] = {
		[24301] = {id=300, base_id=24301, summon_desc="10.3"},
		[24302] = {id=300, base_id=24302, summon_desc="10.3"},
		[25301] = {id=300, base_id=25301, summon_desc="10.3"},
		[25302] = {id=300, base_id=25302, summon_desc="10.3"},
		[26301] = {id=300, base_id=26301, summon_desc="10.3"},
		[26302] = {id=300, base_id=26302, summon_desc="10.3"},
		[29301] = {id=300, base_id=29301, summon_desc="10.3"},
		[29302] = {id=300, base_id=29302, summon_desc="10.3"},
		[24406] = {id=300, base_id=24406, summon_desc="1.5"},
		[24407] = {id=300, base_id=24407, summon_desc="1.5"},
		[25406] = {id=300, base_id=25406, summon_desc="1.5"},
		[25407] = {id=300, base_id=25407, summon_desc="1.5"},
		[26405] = {id=300, base_id=26405, summon_desc="1.5"},
		[26406] = {id=300, base_id=26406, summon_desc="1.5"},
		[29406] = {id=300, base_id=29406, summon_desc="1.5"},
		[29407] = {id=300, base_id=29407, summon_desc="1.5"},
		[27302] = {id=300, base_id=27302, summon_desc="1.5"},
		[27301] = {id=300, base_id=27301, summon_desc="1.5"},
		[28302] = {id=300, base_id=28302, summon_desc="1.5"},
		[24401] = {id=300, base_id=24401, summon_desc="0.05"},
		[24402] = {id=300, base_id=24402, summon_desc="0.05"},
		[24403] = {id=300, base_id=24403, summon_desc="0.05"},
		[24404] = {id=300, base_id=24404, summon_desc="0.05"},
		[24405] = {id=300, base_id=24405, summon_desc="0.05"},
		[25401] = {id=300, base_id=25401, summon_desc="0.05"},
		[25402] = {id=300, base_id=25402, summon_desc="0.05"},
		[25403] = {id=300, base_id=25403, summon_desc="0.05"},
		[25404] = {id=300, base_id=25404, summon_desc="0.05"},
		[25405] = {id=300, base_id=25405, summon_desc="0.05"},
		[26401] = {id=300, base_id=26401, summon_desc="0.05"},
		[26402] = {id=300, base_id=26402, summon_desc="0.05"},
		[26403] = {id=300, base_id=26403, summon_desc="0.05"},
		[26404] = {id=300, base_id=26404, summon_desc="0.05"},
		[29401] = {id=300, base_id=29401, summon_desc="0.05"},
		[29402] = {id=300, base_id=29402, summon_desc="0.05"},
		[29403] = {id=300, base_id=29403, summon_desc="0.05"},
		[29404] = {id=300, base_id=29404, summon_desc="0.05"},
		[29405] = {id=300, base_id=29405, summon_desc="0.05"},
		[27401] = {id=300, base_id=27401, summon_desc="0.02"},
		[27402] = {id=300, base_id=27402, summon_desc="0.02"},
		[27403] = {id=300, base_id=27403, summon_desc="0.02"},
		[27404] = {id=300, base_id=27404, summon_desc="0.02"},
		[27405] = {id=300, base_id=27405, summon_desc="0.045"},
		[28401] = {id=300, base_id=28401, summon_desc="0.02"},
		[28402] = {id=300, base_id=28402, summon_desc="0.02"},
		[28403] = {id=300, base_id=28403, summon_desc="0.02"},
		[28404] = {id=300, base_id=28404, summon_desc="0.02"},
		[28405] = {id=300, base_id=28405, summon_desc="0.045"},
	},
	[400] = {
		[24401] = {id=400, base_id=24401, summon_desc="4"},
		[24402] = {id=400, base_id=24402, summon_desc="4"},
		[24403] = {id=400, base_id=24403, summon_desc="4"},
		[24404] = {id=400, base_id=24404, summon_desc="4"},
		[24405] = {id=400, base_id=24405, summon_desc="4"},
		[25401] = {id=400, base_id=25401, summon_desc="4"},
		[25402] = {id=400, base_id=25402, summon_desc="4"},
		[25403] = {id=400, base_id=25403, summon_desc="4"},
		[25404] = {id=400, base_id=25404, summon_desc="4"},
		[25405] = {id=400, base_id=25405, summon_desc="4"},
		[26401] = {id=400, base_id=26401, summon_desc="4"},
		[26402] = {id=400, base_id=26402, summon_desc="4"},
		[26403] = {id=400, base_id=26403, summon_desc="4"},
		[26404] = {id=400, base_id=26404, summon_desc="4"},
		[29401] = {id=400, base_id=29401, summon_desc="4"},
		[29402] = {id=400, base_id=29402, summon_desc="4"},
		[29403] = {id=400, base_id=29403, summon_desc="4"},
		[29404] = {id=400, base_id=29404, summon_desc="4"},
		[29405] = {id=400, base_id=29405, summon_desc="4"},
		[27401] = {id=400, base_id=27401, summon_desc="3"},
		[27402] = {id=400, base_id=27402, summon_desc="3"},
		[27403] = {id=400, base_id=27403, summon_desc="3"},
		[27404] = {id=400, base_id=27404, summon_desc="3"},
		[28401] = {id=400, base_id=28401, summon_desc="2.5"},
		[28402] = {id=400, base_id=28402, summon_desc="2.5"},
		[28403] = {id=400, base_id=28403, summon_desc="2.5"},
		[28404] = {id=400, base_id=28404, summon_desc="2.5"},
	},
}
-- -------------------summon_data_end---------------------
